Bug 40671 - Update to 1.1-0.beta1.1 fails
Update to 1.1-0.beta1.1 fails
Status: CLOSED NOTABUG
Product: Red Hat Raw Hide
Classification: Retired
Component: koffice (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-15 09:36 EDT by Andreas Bennecke
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-15 09:36:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andreas Bennecke 2001-05-15 09:36:11 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)

Description of problem:
rpm reports a missing libkdeprint.so.0 and i simply canB4t find this 
library anywhere.

How reproducible:
Always

Steps to Reproduce:
1. download and install latest kdelibs (2.1.2)
2. download koffice-1.1-0.beta1.1.i386.rpm
3. run "rpm -Uvh koffice-1.1-0.beta1.1.i386.rpm
	

Actual Results:  rpm gives an error for failed dependencies in 
libkdeprint.so.0

Expected Results:  the new koffice beta should have been installed :-((

Additional info:

clean seawolf install (RH7.1) with just latest kdelibs (as mentioned 
before) and the i386/rh7.1 koffice beta-package here.
Comment 1 Bernhard Rosenkraenzer 2001-05-15 09:51:27 EDT
Update kdelibs to 2.2alpha1 or higher. I recommend using 2.2-0.cvs20010514.1.

Comment 2 Peder Chr. Nxrgaard 2001-06-05 16:57:32 EDT
There is an alternative if you, as I, do not wish to have to install alpha code
to test a beta release :-).  Koffice 1.1 is fully able to run under KDE 2.1; 
it does not depend on KDE 2.2 facilities, it is just able to utilize some KDE 
2.2 facilities.

This alternative is to build the binary package yourself from sources. This is 
not entirely trivial - it took me some hours to figure out that one have to 
remove the Redhat 7.1 vanilla koffice installation for the koffice 1.1 beta 2 
to build successfully.

But this is what I did, on a vanilla RedHat 7.1 with all current (early June 
2001) updates installed, most notably the kdelibs 2.1.2-1 packages:

rpm -i <the source rpm>

(The source rpm is

ftp://ftp.sourceforge.net/pub/mirrors/kde/unstable/koffice-1.1-beta2/RedHat/7.1/SRPMS/koffice-1.1-0.beta2.1.src.rpm)

then

rpm -e koffice

rpm -bb /usr/src/redhat/SPECS/koffice.spec (takes about 3 hours on my rather 
fast PC)

rpm -Uvh /usr/src/redhat/RPMS/i386/koffice-1.1-0.beta2.1.i386.rpm

- and everything works just fine -


Note You need to log in before you can comment on or make changes to this bug.